Subject: Re: [PATCH v2] test-lib.sh: set PERL5LIB instead of GITPERLLIB

From: Lea Wiemann <[email-masked]>
Date: Tue, 03 Jun 2008 00:19:13 +0200

Junio C Hamano wrote:
> the precedence between "use lib @these_paths"

Apologies, I somehow missed the or-expression in $$ENV{GITPERLLIB} || 
"@@INSTLIBDIR@@" and thought we didn't set any library paths if we unset 
GITPERLLIB. :(  So yes, of course my patch is rubbish -- sorry for 
wasting your time, I'll check more carefully next time!

> If [t/t9700/<many>.perl] unconditionally do "use lib $ENV{GITPERLLIB};"
> upfront, wouldn't that be enough to guarantee that you would use the
> freshly built one during the test, not the instsalled one?

Yup, that's fine.  I'll add it to the test file.

-- Lea